/**
  * @project shutter_verify
  * @brief   $BRIEF$
  * @author  lz
  * @data    2023/4/13
 **/
#include "plcJsonConfig.h"
#include <utility>

plcJsonConfig::plcJsonConfig(std::string path) {
    m_path = path;
}

std::string plcJsonConfig::ip() {
    std::string ip;
    ReadJsonFile(m_path, m_config);
    JV_STRING(m_config, "ip", ip, DEFAULT_STRING);
    return ip;
}
